from flask import Flask, render_template, Response
from flask_sse import sse
from flask_cors import CORS
import requests
import time

app = Flask(__name__)
app.register_blueprint(sse, url_prefix='/stream')
CORS(app)

@app.route('/deals')
def forwardStream():
    r = requests.get('http://192.168.99.100:5000/streamTest', stream=True)
    def eventStream():
            for line in r.iter_lines( chunk_size=1):
                if line:
                    yield 'data:{}\n\n'.format(line.decode())
    return Response(eventStream(), mimetype="text/event-stream")

@app.route('/')
@app.route('/index')
def index():
    return render_template("index.html")


def get_message():
    """this could be any function that blocks until data is ready"""
    time.sleep(1.0)
    s = time.ctime(time.time())
    return s

if __name__ == '__main__':
     app.run(port=5000, threaded=True, host=('0.0.0.0'))
